# $Revision: 1.29 $, $Date: 2003/10/12 12:04:09 $
Summary:	Linux Hotplug Scripts
Summary(pl):	Linuksowe skrypty do urzdze hotplug
Name:		hotplug
Version:	2003_08_05
Release:	2
Group:		Applications/System
License:	GPL
Source0:	http://dl.sourceforge.net/sourceforge/linux-hotplug/%{name}-%{version}.tar.gz
# Source0-md5:	200eef33ddfcee9c023a3a7797ac6919
Source1:	%{name}.init
Patch0:		%{name}-PLD.patch
Patch1:		%{name}-ifup.patch
URL:		http://linux-hotplug.sourceforge.net/
PreReq:		rc-scripts
Requires(post,preun):	/sbin/chkconfig
# Requires wc
Requires:	textutils
Requires:	awk
Requires:	usbutils
Requires:	sed
Requires:	bash
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_exec_prefix	/

%description
This package contains the scripts necessary for hotplug Linux support.

%description -l pl
Ten pakiet zawiera skrypty potrzebne do obsugi urzdze hotplug
(podczanych w czasie pracy) pod Linuksem.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_sbindir},%{_sysconfdir}/hotplug,/etc/rc.d/init.d,%{_mandir}/man8}

%{__make} install \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	etcdir=$RPM_BUILD_ROOT%{_sysconfdir} \
	sbindir=$RPM_BUILD_ROOT%{_sbindir} \
	mandir=$RPM_BUILD_ROOT%{_mandir}

install sbin/* debian/update-usb.usermap $RPM_BUILD_ROOT%{_sbindir}
install *.8 debian/*.8  $RPM_BUILD_ROOT%{_mandir}/man8
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/hotplug
ln -s %{_sysconfdir}/hotplug.d $RPM_BUILD_ROOT%{_libdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add hotplug
# Uncomment this out if we find that we need to restart the system when
# we have loaded a new copy of the package.
#if test -r /var/lock/subsys/hotplug ; then
#	/etc/rc.d/init.d/hotplug restart >&2
#fi

%preun
if [ "$1" = "0" ] ; then
	if [ -f /var/lock/subsys/hotplug ]; then
		/etc/rc.d/init.d/hotplug stop >&2
	fi
	/sbin/chkconfig --del hotplug
fi

%files
%defattr(644,root,root,755)
%doc README ChangeLog
%attr(755,root,root) %{_sbindir}/*
%attr(754,root,root) /etc/rc.d/init.d/*
%dir %{_sysconfdir}/hotplug
%attr(755,root,root) %{_sysconfdir}/hotplug/*.agent
%attr(755,root,root) %{_sysconfdir}/hotplug/*.rc
%dir %{_sysconfdir}/hotplug/usb
%dir %{_sysconfdir}/hotplug/pci
%{_sysconfdir}/hotplug/hotplug.functions
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/hotplug/blacklist
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/hotplug/*map
%dir %{_sysconfdir}/hotplug.d
%dir %{_sysconfdir}/hotplug.d/default
%attr(755,root,root) %{_sysconfdir}/hotplug.d/default/*.hotplug
%{_libdir}/hotplug
%{_mandir}/man8/*.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: hotplug.spec,v $
Revision 1.29  2003/10/12 12:04:09  blues
- cosmetics

Revision 1.28  2003/10/11 10:34:23  wiget
- add 'hotplug' as second argument to ifup invocation

Revision 1.27  2003/08/22 15:18:48  ankry
- attributes fix

Revision 1.26  2003/08/17 12:31:37  arekm
- updated to 2003_08_05

Revision 1.25  2003/07/29 15:45:00  qboosh
- more specific Requires, more changes where needed

Revision 1.24  2003/07/13 12:08:11  grzegol
- updated PLD patch (now pci.rc returns proper value)
- rel. 5

Revision 1.23  2003/07/10 20:38:53  arekm
- added missing directories; make it usable

Revision 1.22  2003/07/07 12:44:04  arekm
- include _libdir/hotplug

Revision 1.21  2003/07/07 12:09:21  arekm
- include debians update-usb.usermap; rel 2

Revision 1.20  2003/06/25 20:44:06  wiget
- updated to 2003_05_01

Revision 1.19  2003/06/22 10:59:30  eothane
- http://belnet.sourceforge->http://dl.sourceforge

Revision 1.18  2003/05/27 08:59:02  trojan
- added Source-md5

Revision 1.17  2003/05/25 05:48:42  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.16  2002/11/25 14:58:56  marcus
- use new %%doc

Revision 1.15  2002/08/30 16:40:12  misiek
- updated to 2002_08_26

Revision 1.14  2002/05/30 11:44:26  mkochano
- Release 3.
- Requires usbutils, sed and bash.
- Renames sh-and-PLD patch to PLD patch.

Revision 1.13  2002/05/28 22:50:33  mkochano
- Release 2 (but still not finished).
- More requires.
- Added sh_and_PLD patch.

Revision 1.12  2002/05/21 10:51:08  wojtekka
- upgrade to 2002_04_01,
- PLDized init.d script.

Revision 1.11  2002/04/29 19:28:52  wojtekka
- added missing +x, release 3.

Revision 1.10  2002/04/25 16:34:06  arturs
fixed a small typo

Revision 1.9  2002/03/26 10:39:04  qboosh
- better pl translation
- check lock before calling hotplug stop

Revision 1.8  2002/02/23 02:30:45  kloczek
- adapterized.

Revision 1.7  2002/02/22 23:29:03  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/01/18 02:13:17  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/11/04 02:18:21  blues
- pl tanslation added + some cosmetics
NOTE: there is new version avaible

Revision 1.4  2001/07/26 05:42:08  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.2  2001/04/25 11:04:29  wiget
rewrite in PLD style

* Tue Apr 24 2001 Greg Kroah-Hartman <greg@kroah.com>
- added the hotplug.8 manpage written by Fumitoshi UKAI <ukai@debian.or.jp>

* Fri Mar 2 2001 Greg Kroah-Hartman <greg@kroah.com>
- tweaked the post and preun sections to fix problem of hotplug
  not starting automatically when the package is upgraded.

* Wed Feb 28 2001 Greg Kroah-Hartman <greg@kroah.com>
- 2001_02_28 release

* Wed Feb 14 2001 Greg Kroah-Hartman <greg@kroah.com>
- 2001_02_14 release

* Wed Jan 17 2001 Greg Kroah-Hartman <greg@kroah.com>
- changed specfile based on Chmouel Boudjnah's <chmouel@mandrakesoft.com> comments.

* Tue Jan 16 2001 Greg Kroah-Hartman <greg@kroah.com>
- tweaked the file locations due to the change in the tarball structure.
- 2001_01_16 release

* Mon Jan 15 2001 Greg Kroah-Hartman <greg@kroah.com>
- First cut at a spec file for the hotplug scripts.
- added patch to usb.rc to allow chkconfig to install and remove it.
